# class BDB::Intern__

### Public Instance Methods

[](p1) click to toggle source

    static VALUE
    bdb_intern_get(VALUE obj, VALUE a)
    {
        struct bdb_intern *st_intern;

        Data_Get_Struct(obj, struct bdb_intern, st_intern);
    #if HAVE_ST_DB_ENV_REP_SET_TIMEOUT
        if (st_intern->sstype == BDB_INTERN_TIMEOUT) {
            return bdb_env_rep_get_timeout(st_intern->obj, a);
        }
    #endif
    #if HAVE_ST_DB_ENV_REP_SET_CONFIG
        if (st_intern->sstype == BDB_INTERN_CONFIG) {
            return bdb_env_rep_get_config(st_intern->obj, a);
        }
    #endif
        rb_raise(rb_eArgError, "Invalid argument for Intern__#[]");
        return Qnil;
    }

[]=(p1, p2) click to toggle source

    static VALUE
    bdb_intern_set(VALUE obj, VALUE a, VALUE b)
    {
        struct bdb_intern *st_intern;

        Data_Get_Struct(obj, struct bdb_intern, st_intern);
    #if HAVE_ST_DB_ENV_REP_SET_TIMEOUT
        if (st_intern->sstype == BDB_INTERN_TIMEOUT) {
            return bdb_env_rep_set_timeout(st_intern->obj, a, b);
        }
    #endif
    #if HAVE_ST_DB_ENV_REP_SET_CONFIG
        if (st_intern->sstype == BDB_INTERN_CONFIG) {
            return bdb_env_rep_set_config(st_intern->obj, a, b);
        }
    #endif
        rb_raise(rb_eArgError, "Invalid argument for Intern__#[]=");
        return Qnil;
    }